#include <iostream>
using main space std;
int main(){
long long N, broqch, chisla[1000], razstoqnieP,rastoqnieS = 0,broqch2,najmalkoR = 0;
bool Loklie[1000];
cin>>N;
rastoqnieP = N+1;
for(broqch = 0; broqch < N; broqch++){
    cin>>chisla[broqch];
}
for(broqch = 0; broqch < N; broqch++){
    if(chisla[broqch] > chisla[broqch - 1] && chisla[broqch + 1]){
    Loklie[broqch] = true;
    }
}
for(broqch = 0; broqch < N; broqch++){
    if(Loklie[broqch] == true){
        broqch2 = broqch;
        while(Loklie[broqch2] != true){
            rastoqnieS++;
            broqch2++;
        }
            if(rastoqnieS < rastoqnieP){
                najmalkoR = rastoqnieS;
            }
        }
    }
}
cout<<najmalkoR;
}
